%global debug_package %{nil} 

Name:           firmware-interface-check
Version:        1.0
Release:        1%{?dist}
Summary:        check firmware interface 
BuildArch:      mips64el

Group:          Unspecified
License:        GPLv2
URL:            http://www.loongnix.org
Source0:        %{name}.tar.gz
AutoReq:	no


%description
check firmware interface information form kernel

%prep
%setup -q -c

%build
#nothing to do

%install
%{__install} -d %{buildroot}/%{_bindir}/
%{__install} -d %{buildroot}/%{_usr}/share/applications/firmware-interface-check
%{__install} -d %{buildroot}/%{_usr}/share/icons/
%{__install} -m 0755 %{_builddir}/%{name}-%{version}/firmwarecheck %{buildroot}/%{_bindir}/
%{__install} %{_builddir}/%{name}-%{version}/firmware-check.png %{buildroot}/%{_usr}/share/icons/
%{__install} %{_builddir}/%{name}-%{version}/*.desktop %{buildroot}/%{_usr}/share/applications/firmware-interface-check

%clean
rm -rf $RPM_BUILD_ROOT

%post
#nothing to do
%postun
#nothing to do

%files
%{_bindir}/*
/usr/share/icons/firmware-check.png
/usr/share/applications/firmware-interface-check/*.desktop

%changelog
* Mon Jun 24 2019 zhang dandan <zhangdandan@loongson.cn> - 1.0-1
- check firmware interface specification information from the kernel.

